{
    attributes = (
        {
            columnName = CODE; 
            externalType = VARCHAR2; 
            name = code; 
            valueClassName = NSString; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ID_NIVEAU_SPORTIF"; 
            externalType = NUMBER; 
            name = idNiveauSportif; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = LIBELLE; 
            externalType = VARCHAR2; 
            name = libelle; 
            valueClassName = NSString; 
        }, 
        {
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persidModifcation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (idNiveauSportif); 
    className = "org.cocktail.fwkcktlscolpeda.serveur.metier.EONiveauSportif"; 
    classProperties = (code, dCreation, dModification, libelle, persIdCreation, persidModifcation); 
    externalName = "SCO_SCOLARITE.NIVEAU_SPORTIF"; 
    fetchSpecificationDictionary = {}; 
    name = "Sco_NiveauSportif"; 
    primaryKeyAttributes = (idNiveauSportif); 
}
